%% Aufgabe 1.7
clear all, close all; clc;
%% Parameter
x1 = 1;                 % Amplitude
omega1 = 1;             % Kreisfrequenz in Rad/s
phi01 = 0;              % Phasenverschiebung in Rad
t = 0:1/100:2*pi*10;    % Zeit in s
x1_x2 = 1/2;            % Amplitudenverhltnis x1/x2
omega1_omega2 = 1/2;    % Kreisfrequenzverhltnis omega1/omega2
phi02 = 0;              % Phasenverschiebung in Rad
%% Berechnen des Zeitverlaufs
x2 = x1/x1_x2;
omega2 = omega1/omega1_omega2;
x = x1*sin(omega1*t+phi01) + x2*sin(omega2*t+phi02);
%% Harmonische Analyse
% Berechnung fr erste Harmonische 
xc1 = dot(x,cos(omega1*t))/length(t)*2;
xs1 = dot(x,sin(omega1*t))/length(t)*2;
Amplitude1 = abs(sqrt(xc1^2+xs1^2));
phi1 = abs(atan(xs1/xc1));
% Berechnung fr zweite Harmonische
xc2 = dot(x,cos(omega2*t))/length(t)*2;
xs2 = dot(x,sin(omega2*t))/length(t)*2;
Amplitude2 = abs(sqrt(xc2^2+xs2^2));
phi2 = abs(atan(xs2/xc2));
%% Plots erstellen
figure('units','centimeters','Position',[10 5 30 20])
% Zeitverlauf
subplot(3,2,1:2),plot(t/2/pi,x)
grid on
title('Zeitverlauf')
xlabel('Periode')
ylabel('Amplitude')
% Sektrum Cosinus Funktion
subplot(3,2,3),stem([omega1 omega2],[xc1; xc2])
axis([0 10 -4 4])
grid on
title('Spektrum des Kosinus-Fourierkoeffizient')
xlabel('Ordnung')
ylabel('x_c')
% Spektrum Sinus Funktion
subplot(3,2,5),stem([omega1 omega2],[xs1; xs2])
axis([0 10 -4 4])
grid on
title('Spektrum des Sinus-Fourierkoeffizient')
xlabel('Ordnung')
ylabel('x_s')
% Spektrum Amplituden
subplot(3,2,4),stem([omega1 omega2],[Amplitude1; Amplitude2])
axis([0 10 0 4])
grid on
title('Spektrum der Amplituden')
xlabel('Ordnung')
ylabel('Amplitude')
% Spektrum Nullphasenwinkel
subplot(3,2,6),stem([omega1 omega2],[phi1; phi2])
axis([0 10 0 2*pi])
grid on
title('Spektrum der Nullphasenwinkel')
xlabel('Ordnung')
ylabel('Winkel in rad')

