%% Aufgabe 4.1
clear all; close all; clc;
%% Parameter Kennlinien  
k1 = 250;               % Steifigkeit in N/m^2
k1_stern = .50;         % Steifigkeit in N/m^2
F_R = 200;              % Kraft in N
alpha = 0.05;           % Faktor in s/mm
x1_punkt = -30:.01:30;  % Geschwindigkeit in mm/s
x1 = -30:.01:30;        % Auslenkung in mm
%% Kennlinienmodell
F_F1 = k1 * x1 + k1_stern * x1.^2;
F_D1 = F_R * tanh( alpha * x1_punkt );
%% Plot Kennlinienmodell
f1 = figure(1);
subplot(2,1,1), plot(x1_punkt, F_D1,'k-'); a1 = gca;
xlabel('(d{\itx}/d{\itt})/(mm/s)');
ylabel('Kraft/N');
subplot(2,1,2), plot(x1, F_F1,'k-'); a2 = gca;
xlabel('{\itx}/mm');
ylabel('Kraft/N');

%% Parameter Sttzkraftverlauf
x1_dach = 1;
Omega = 50;
t = 0:1/1000:1;
%% Auslenkung
x1 = x1_dach * cos( Omega * t );
x1_punkt = - x1_dach * Omega * sin( Omega * t );
%% Krfte
F_F1 = k1 * x1 + k1_stern * x1.^2;
F_D1 = F_R * tanh( alpha * x1_punkt );
%% Plot Sttzkraftverlauf
f2 = figure(2);
plot(x1, F_F1 + F_D1,'k-'); a3 = gca;
xlabel('{\itx}/mm');
ylabel('Kraft/N');

%% Plots anpassen
set([a1 a2 a3],'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
%% Plot exportieren
set(f1,'units','centimeters','pos',[20 10 10 6])
set(f2,'units','centimeters','pos',[20 10 10 4])
print(f1,'Aufg04_01_1','-dpng','-r300')
print(f2,'Aufg04_01_2','-dpng','-r300')






