%% Aufgabe 4.2
clear all; close all; clc;
%% Parameter
x1_dach = [.5 1];           % Amplitude in mm
Omega = [25 75];            % Erregerkreisfrquenz in rad/s
k1 = 250;                   % Steifigkeit in N/m^2
k1_stern = .50;             % Steifigkeit in N/m^2
F_R = 200;                  % Kraft in N
alpha = 0.05;               % Faktor in s/mm
t = 0:1/1000:10;          % Zeit in s
%% Sttzkraftverufe
for n = 1:length(x1_dach)
    for m = 1:length(Omega)
        % Berechnung
		x1 = x1_dach(n) * cos( Omega(m) * t );
		x1_punkt = - x1_dach(n) * Omega(m) * sin( Omega(m) * t );		
		F_F1 = k1 * x1 + k1_stern * x1.^2;
		F_D1 = F_R * tanh( alpha * x1_punkt );					
		F.x1_dach(n).Omega(m).data = F_F1 + F_D1;	
        % Plot erstellen
        p(n,m) = plot(x1, F.x1_dach(n).Omega(m).data,'k');
        hold on
    end
end
legend(['x_{1} = ' num2str(x1_dach(1)) '; {\Omega} = ' num2str(Omega(1))],...
       ['x_{1} = ' num2str(x1_dach(1)) '; {\Omega} = ' num2str(Omega(2))],...
       ['x_{1} = ' num2str(x1_dach(2)) ';    {\Omega} = ' num2str(Omega(1))],...
       ['x_{1} = ' num2str(x1_dach(2)) ';    {\Omega} = ' num2str(Omega(2))],...
       'Location','NorthEastOutside');
%% Plots anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
set([p(1,2),p(2,2)], 'Linewidth', 1.5);
xlabel('{\it x} in mm');
ylabel('Kraft in N');
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg04_02_1','-dpng','-r300')