%% Aufgabe 5.14
clear all; close all; clc;
%% Parameter
D = 1.1;        % Dmpfungsgrad
om_0 = 1;       % Eigenkreisfrequenz in rad/s
t = 1:1/100:10; % Zeit in s
v0 = 1;         % Anfangswerte
x0 = 1;
%% Eigenwerte
lam_1 = -D*om_0+om_0*sqrt(D^2-1);
lam_2 = -D*om_0-om_0*sqrt(D^2-1);
%% Auslenkung
x = 1/(lam_1-lam_2)*...
    ((v0-lam_2*x0)*exp(lam_1*t)+(x0*lam_1-v0)*exp(lam_2*t));
%% Geschwindigkeit
v = 1/(lam_1-lam_2)*...
    ((v0-lam_2*x0)*lam_1*exp(lam_1*t)+(x0*lam_1-v0)*lam_2*exp(lam_2*t) );
%% Plot erstellen
plot(t,x,'-k',t,v,'-k');
xlabel('{\itt}/s');
ylabel({'bez. Auslenkung {\itx}'; 'bez. Geschwindigkeit {\itv}'});
h = refline(0,0);
t1 = text([3 3],[0.5 -0.4],{'{\itx}({\itt})' '{\itv}({\itt})'});
%% Plot anpassen
set([gca t1'],'FontSize',9,'FontName','Times')
grid on
h.Color = 'k';
xlim([1 10]);
ylim([-.6 1.2]);                          
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg05_14_1','-dpng','-r300')