%% Aufgabe 5.18
clear all; close all; clc;
%% Parameter
D = 0.2;            % Dmpfungsgrad
omega_0 = 1;        % Eigenkreisfrequenz in rad/s
t = 0:1/100:300;    % Zeit in t
v0 = 1;             % Anfangswerte
x0 = 1;
phi_0 = pi/8;       % Phasenwinkel in rad
%% Eigenwerte
lam1 = -D*omega_0+1i*omega_0*sqrt(1-D^2);
lam2 = -D*omega_0-1i*omega_0*sqrt(1-D^2);
%% Auslenkung und Geschwindigkeit
x = 1/(lam1-lam2)*((v0-lam2*x0)*exp(lam1*t)+(x0*lam1-v0)*exp(lam2*t));
v = 1/(lam1-lam2)*((v0-lam2*x0)*lam1*exp(lam1*t)+(x0*lam1-v0)*lam2*exp(lam2*t));
%% Zeigerdiagramm
delta = D*omega_0;
omega = omega_0 * sqrt(1-D^2);
x_strich = x0*exp(1i*phi_0) * exp((-delta+1i*omega)*t);
%% Plots erstellen
% Phasenkurve
subplot(1,2,1)
plot(x, v,'k-'); a1 = gca;
xlabel('{\it x}');
ylabel('$\dot{x}$','interpreter','LaTex');
% Zeigerdiagramm
subplot(1,2,2)
plot(x_strich,'k-'); a2 = gca;
xlabel('Re({\itx})');
ylabel('Im({\itx})');
%% Plot anpassen
set([a1 a2],'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')  
xlim(a1,[-2 2]); xlim(a2,[-1 1]);
ylim(a1,[-2 2]); ylim(a2,[-1 1]);
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg05_18_1','-dpng','-r300')