%% Aufgabe 6.28
clear all; close all; clc;
%% Parameter
omega0 = 10;                    % Eigenkreisfrequenz in rad/s
D = .05;                        % Daempfunggrad
T_1 = 5;                        % Periodendauer in s
F_c = 10;                       % Kraft in N
m = 1;                          % Masse in kg
t = 0:1/200:10;                 % Zeit in s
omega = omega0*sqrt(1-D^2);     % Quasikreisfrequenz in rad/s
delta = D * omega;              % Abklingkoeffizient
%% Berechnung der Auslenkung
x1=1/omega/(delta^4-2*delta^2*omega^2+omega^4)...
    *(exp(-delta*t).*(...
    +(delta^2-omega^2)*sin(omega*t)+2*delta*omega*cos(omega*t))...
    -2*delta*omega...
    +t*omega*(delta^2+omega^2));
x2=1/omega/(delta^4-2*delta^2*omega^2+omega^4)...
    *(exp(-delta*(t-T_1)).*(...
    +(delta^2-omega^2)*sin(omega*(t-T_1))+2*delta*omega*cos(omega*(t-T_1)))...
    -2*delta*omega...
    +(t-T_1)*omega*(delta^2+omega^2));
x = F_c/m/T_1*(heaviside(t).*x1-heaviside(t-T_1).*x2);
%% Plot erstellen
plot(t,x,'k');
xlabel('\itt/s');
ylabel('Auslenkung');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')  
ylim([0 0.11])
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg06_28_1','-dpng','-r300')