%% Aufgabe 7.2 und 7.3
clear all; close all; clc;

%% Parameter
D   = 0.05;                         % Dmpfungsma
fz  = [-2.0,0.426,-0.0097,0.00023]; % Erregeramplituden 
nz  = [1,2,4,6];                    % Harmonische n 
Omz = [0.45,0.5,0.6,0.9,1.0,2.0];   % Erregerfreqquenzen Omega^Tilde
% Omz = [0.95,1.0,1.05,0.50, 0.25,1/6]; % ALLE vier Resonanzstellen!

%% Hilfsgren:
D2  = D^2;
x   = [0,0,0,0,0,0];
alp = x;

%% Berechnung Aufgabe 7.2
% Die Ergebnisse sollen in einer Tabelle zusammengestellt werden:
% die Kopfzeile enthlt die 6 Erregerfrequenzen Om(p),p = 1:6,
% es folgen vier ZeilenPAARE zu den Erregeramplituden f(q), q 1:4,
% 1. Zeile, Spalten p, die 6 Amplituden x(p), - steht fr x_n^Tilde^^Dach
% 2. Zeile: Spalten p, die 6 Phasenwinkel alp(p), - steht fr alpha_n
for  q  = 1:4       % Schleife ber q fr die 4 Erregeramplituden 
     n  = nz(q);
     n2 = n^2;
     for p =1:6  % Schleife ber p fr die 6 Erregerfrequenzen
          Om  = Omz(p);
          Om2 = Om^2;
          % Amplituden
          V3   = Om2/sqrt((1-n2*Om2)^2+4*D2*n2*Om2);
          x(p) = fz(q)*V3; % Amplitude zu  
          % Phasenwinkel
          Nenn = 1-n2*Om2;
          if(Nenn == 0) % singulrer Nenner, Phasewinkel alp = pi/2
              alp(p) = pi/2;
              % fr -inf < u < inf gilt -pi/2 < atan(u) < pi/2
          elseif (Nenn < 0)     % Phasenwinkel im 2. Quaranten
              alp(p) = pi+atan(2*D*n*Om/Nenn);
          else                  % Phasenwinkel im 1. Quadranten
              alp(p) = atan(2*D*n*Om/Nenn);
          end
     end
     if q == 1      % Bei q == 1 Kopfzeile und erstes Paar x(1), alp(1)
         X = [0,Omz]; % X wird ab hier zeilenweise aufgebaut:
                      % Die 0 in der ersten Spalte ist hier Platzhalter
         X = [X
              fz(q),x];    % 1. Spalte enthlt Erregeramplituden  
         X = [X
              fz(q),alp];  % 1. Spalte enthlt Erregeramplituden
     else
         X = [X     % Bei q > 1 Zeilenpaar x(p), alp(p) hinzufgen
              fz(q),x];    % 1. Spalte enthlt Erregeramplituden
         X = [X
              fz(q),alp];  % 1. Spalte enthlt Erregeramplituden
     end
end
%% Ausgabe in Command Window
disp(X)   

%% Berechnen der Zeitverlufe x(q,t) fr Aufgabe 7.3 
% =================================================
% Der deutlichen Darstellung halber, vgl. Abb. 7.2, werden die
% Verlufe fr ZWEI Perioden 0 < Om*t < 4*pi berechnet.
% Zeilenmatrizen der Zeit-Sttzstellen,
t1 = linspace(0,4*pi,500); % Grundschwingung 
t2 = 2*t1;                 % 2. Oberschwingung
t4 = 4*t1;                 % 4. Oberschwingung
t6 = 6*t1;                 % 6. Oberschwingung
for q = 1:6
    x(q,1:500) = t1;
end
for q = 1:6
    x(q,:) = X(2,q+1)*cos(t1-X(3,q+1))+ ... % q+1 weil Erregeramplituden
             X(4,q+1)*cos(t2-X(5,q+1))+ ... % in der ersten Spalte stehen
             X(6,q+1)*cos(t4-X(7,q+1))+ ...
             X(8,q+1)*cos(t6-X(9,q+1));
end
f  = fz(1)*cos(t1)+fz(2)*cos(t2)+fz(3)*cos(4)+fz(4)*cos(t6); 
%% Plot erstellen
subplot(3,2,1)
plot(t1/(2*pi),x(1,:),'k');
hold on
plot(t1/(2*pi),f,'k');
hold on
plot([0,2],[0. 0],'k--');

subplot(3,2,2)
plot(t1/(2*pi),x(4,:),'k--');
hold on
plot(t1/(2*pi),f,'k');
hold on
plot([0,2],[0. 0],'k--');

subplot(3,2,3)
plot(t1/(2*pi),x(2,:),'k');
hold on
plot(t1/(2*pi),f,'k');
hold on
plot([0,2],[0. 0],'k--');

subplot(3,2,4) 
plot(t1/(2*pi),x(5,:)/2,'k'); % x hier durch 2 dividiert, 
hold on
plot(t1/(2*pi),f,'k');        % damit f deutlicher wird
hold on
plot([0,2],[0. 0],'k--');

subplot(3,2,5)
plot(t1/(2*pi),x(3,:),'k');
hold on
plot(t1/(2*pi),f,'k');
hold on
plot([0,2],[0. 0],'k--');

subplot(3,2,6)
plot(t1/(2*pi),x(6,:),'k');
hold on
plot(t1/(2*pi),f,'k');
hold on
plot([0,2],[0. 0],'k--');