%% Aufgabe 7.9
clear all; close all; clc;
%% Parameter
D = 0.1;                            % Dmpfung
R = 1;                              % Faktor R = 2*r*ms/m*k
f_c = [-2 .426 0 -0.0097 0 .00023]; % Dimensionslose Erregung
OmegaT = [.5 1 1.5];                % bezogene Erregerkreisfrequenz
Omegat = 0:0.01:2*pi;               % Om*t in rad
%% Funktionen
V2 = @(Om) sqrt(1+4*D^2*Om^2)/sqrt((1-Om^2)^2+4*D^2*Om^2);
alpha_2 = @(Om) atan(2*D*Om/(1-Om^2))-atan(2*D*Om);
%% Berechnung von F(t)
for i1 = 1:length(OmegaT) 
    F = 0;
    for i2=1:6
        F = F + R*f_c(i2)/i2^2*(i2*OmegaT(i1))^2*V2(i2*OmegaT(i1))*...
            cos(i2*Omegat-alpha_2(i2*OmegaT(i1)));
    end
    F_t(i1,:) = F;
end
%% Plot erstellen
p1 = plot(Omegat/pi,F_t,'k');
l1 = legend('\Omega^~=.5', '\Omega^~=1', '\Omega^~=1.5');
xlabel('\Omega{\itt}/\pi');
ylabel('{\itF}/N');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
p1(1).LineWidth = 1.5; p1(3).LineStyle = '--';
l1.Location = 'NorthEastOutside';
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 5])
print(gcf,'Aufg07_10_1','-dpng','-r300')  