function [t,u] = Lsg()
 
% Loesung der Dgl
% ===============

param;            % Aufruf  param  stellt Parameter bereit
global sypa

TA   = sypa(1);
D    = sypa(2);
Eps0 = sypa(3);
fu0  = sypa(4);

% u = [u1, u2,  u3, u4]
%     [Om, phi, Xp, X ]

tspan = [0, TA];
u0    = [0
         0 
         0% 
         -i*Eps0/(1+Eps0)]; % fr den Fall Eps(0) ungleich Null
         % 0];              % fr den Fall Eps(0) = 0
         
Genauigkeit = 1.0e-9;
OPTION = odeset('AbsTol',Genauigkeit,'RelTol',Genauigkeit);

[t,u] = ode15s(@ruettler, tspan, u0, OPTION);

% Als Hilfsgroesse das komplexe x_Tilde_Dach:
uh(:,4) = u(:,4).*exp(i*u(:,2));

figure(1) 

subplot(3,1,1)
hold on
%title('Ergebnisse zu Aufgabe 8.15');
plot(t,real(uh(:,4)),'k',t,abs(u(:,4)),'k',t,-abs(u(:,4)),'k'); 
ylabel('$\tilde{x}$','interpreter','latex');
xlabel('{\itt}/{\its}');
hold off

subplot(3,1,2)
hold on
plot(t,(-angle(-u(:,4))+pi)/pi,'k'); 
ylabel('\alpha/\pi');
xlabel('{\itt}/{\its}');
hold off

subplot(3,1,3)
hold on
plot(t,real(u(:,1)),'k');
ylabel('$\tilde{\Omega}$','interpreter','latex');
xlabel('{\itt}/{\its}');
hold off

% Plot anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times')
% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 10])
print(gcf,'Aufg08_15_1','-dpng','-r300') 
 
% Fr Aufgabe 8.16
% h1, h2 Hilfsgroessen
% fu bezogene Bodenkraft KOMPLEX!
h1(:,1)   = u(:,4)+2*D*u(:,3);
h2(:,1)   = 2*i*D*u(:,1).*u(:,4);
fu(:,1)   = (h1(:)+h2(:)).*exp(i*u(:,2));

figure(2)

hold on 
%title('Aufgabe 8.16: Bezogene Bodenkraft');
plot(t,1-fu0*real(fu),'-k');
plot([t(1) t(end)],[1 1],'-k');
plot([t(1) t(end)],[0 0],'-k');
ylabel('Kraft/Gesamtgewicht');
xlabel('{\itt}/{\its}');
hold off

% Plot anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times')
% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg08_15_2','-dpng','-r300') 

% Ende