%% Aufgabe 9.14
clear all; close all; clc;
%% Parameter
TE = 25; % Simulationszeit
N = 250; % Anzahl Ausgabewerte
% Zweimassenschwinger, Gl. (9.40)
% Eigenvektoren 
x1   = [0.544,0.938];
x2   = [0.839,-0.608];
% Frequenzen:
om1  = 0.648;
om2  = 1.543;
% Amplituden, willkrlich gewhlt:
a1   = 2.7;
a2   = 1.5;
% Nullphasenwinkel
ph01 = 0;
% Erste Wahl
ph02 = pi;
% Zweite Wahl
% ph02 = pi/2;
%{
% Drehschwinger, Gl. (9.45) 
% Daten willkrlich gesetzt
% Eigenvektoren 
ph1  = [1,1];
ph2  = [2,-1.5];
% Frequenzen:
% om1  = 0
omph2  = 1.70;
% Amplituden:
aph1   = 2.7;
bph1   = 0.075;
aph2   = 1.5;
% Nullphasenwinkel
% ph01 - 
ph0ph2 = pi;
%}
%% Berechnung der Schwingungen
t  = linspace(0,TE,N);
X1 = zeros(N,2); % Eigenschwingung 1
X2 = X1;         % Eigenschwingung 2
X  = X1;         % Misch-Schwingung

for k = 1:N
    X(k,:)  = x1(:)*a1*cos(om1*t(k)+ph01)+ ...
              x2(:)*a2*cos(om2*t(k)+ph02);
    X1(k,:) = x1(:)*a1*cos(om1*t(k)+ph01);
    X2(k,:) = x2(:)*a2*cos(om2*t(k)+ph02);
end
%% Plots erstellen
% Eigenschwingung x_1
h1 = 4.0; % Vertikaler Abstand Abszissen 
subplot(2,2,1)
hold on
plot([0 (TE+2)],[0 0],'-k');          % Abszisse 2 (unten)
plot([0 (TE+2)],[h1 h1],'-k');        % Abszisse 1 (oben)
plot(t(:),h1+X1(:,1),'-k');
plot(t(:),X1(:,2),'-k');
axis([0 23 -2.7 6])
xlabel('{\itt}/s')
ylabel('{\itx}_2 und {\itx}_1')
% Eigenschwingung x_2
subplot(2,2,2)
hold on
plot([0 (TE+2)],[0 0],'-k');          % Abszisse 2 (unten)
plot([0 (TE+2)],[h1 h1],'-k');        % Abszisse 1 (oben)
plot(t(:),h1+X2(:,1),'-k');
plot(t(:),X2(:,2),'-k');
axis([0 23 -2.7 6])
xlabel('{\itt}/s')
ylabel('{\itx}_2 und {\itx}_1')
% Kombinierte Schwingung x_1+x_2
subplot(2,2,3)
hold on
plot([0 (TE+2)],[0 0],'-k');          % Abszisse 2 (unten)
plot([0 (TE+2)],[h1 h1],'-k');        % Abszisse 1 (oben)
plot(t(:),h1+X(:,1),'-k');
plot(t(:),X(:,2),'-k');
axis([0 23 -3.7 7])
xlabel('{\itt}/s')
ylabel('{\itx}_2 und {\itx}_1')
% Lissajous-Darstellung
subplot(2,2,4)
hold on
axis equal
plot(X(1,1),X(1,2),'ko')
plot(X(:,1),X(:,2),'-k');
xlabel('{\itx}_1')
ylabel('{\itx}_2')
%{
subplot(2,2,3)
title('Lissajous-Figur 2. o-Anfang')
hold on
% axis equal
plot(Y(1,1),Y(1,2),'o')
plot(Y(:,1),Y(:,2),'-k');
axis([-1 7.5 0 7]);
xlabel('phi_1-Richtung')
ylabel('phi_2-Richtung')
%}
%% Plot anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 12 8])
print(gcf,'Aufg09_14_1','-dpng','-r300')  