%% Aufgabe 9.19
clear all; close all; clc;
%% Parameter Gl. 9.61 (bezogene Gren)
Omega = 0:0.01:2.5;     % Erregerkriesfrequenz
m1 = 1; m2 = 0.8;       % Masse
k1 = 1; k2 = 0.8;       % Steifigkeit
M = [m1  0;             % Massenmatrix
     0  m2];
K = [k1+k2 -k2;         % Steifigkeitsmatrix
     -k2    k2]; 
f = [0 1]';             % Erregung
%% Berechnung der Auslenkung
for i = 1:length(Omega)
    x(i,:) = (-M*Omega(i)^2+K)^-1*f;
end
x(:,3) = x(:,2) - x(:,1);
%% Plot erstellen
subplot(2,1,1); p1 = plot(Omega,x,'k'); a1 = gca;
xlabel('$\tilde{\Omega}$','interpreter','latex');
ylabel('$\hat{\tilde{x}}_l$','interpreter','latex');
subplot(2,1,2); p2 = plot(Omega,abs(x),'k'); a2 = gca;
xlabel('$\tilde{\Omega}$','interpreter','latex');
ylabel('$\hat{\tilde{x}}_l$','interpreter','latex');
l1 = legend('$\hat{\tilde{x}}_1$','$\hat{\tilde{x}}_2$','$\hat{\tilde{x}}_3$');
%% Plot anpassen
set([a1 a2],'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
set(l1,'Interpreter','latex')
xlabel('$\tilde{\Omega}$','interpreter','latex');
ylabel('$\hat{\tilde{x}}_l$','interpreter','latex');
ylim(a1,[-6 6]); ylim(a2,[0 6]);
p1(3).LineStyle = '--'; p2(3).LineStyle = '--';
p1(1).LineWidth = 1.5; p2(1).LineWidth = 1.5;
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 8])
print(gcf,'Aufg09_19_1','-dpng','-r300')  