%% Aufgabe 13.32
clear all; close all; clc;
%% Parameter (Bezogene Gren)
M = eye(2);                 % Massenmatrix
K = [8 3; 3 3.375];         % Steifigkeitsmatrix
D = 0.1*[.2 .08; .08 .1];   % Dmpfungsmatrix
Om = [1.38 3.08];           % Erregerkreisfrequenz bei om_1 und om_2
Omt = 0:1/100:2*pi;         % Om*t in rad
F = [1;-1j];                % Erregerkraft
%% Berechnung der Auslenkung
for i1 = 1:length(Om)
    x(i1,:) = Om(i1)^2*(K-Om(i1)^2*M+1j*Om(i1)*D)^-1*F;
end
%% Plot erstellen
p1 = plot(real(x(1,1)*exp(1j*Omt)),real(x(1,2)*exp(1j*Omt)),'k');
hold all
p2 = plot(real(x(2,1)*exp(1j*Omt)),real(x(2,2)*exp(1j*Omt)),'k');
xlabel('$\tilde{x}_1$','interpreter','latex')
ylabel('$\tilde{x}_2$','interpreter','latex')
legend('\Omega = 1.38','\Omega = 3.08','Location','NorthEastOutside')
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times')
p1.LineWidth = 1.5;
axis equal
grid on
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 7 4])
print(gcf,'Aufg13_32_1','-dpng','-r300')  