%% Aufgabe 14.14
clear all; close all; clc;
%% Parameter
Omega = -20:20;                 % Bezogene Drehfrequenz
syms w                          % Bezogene Eigenkreisfrequenz
%% Abbildung 14.16 a,b - GL (14.74)
Jp_Ja   = 1.5;
w_B     = 3.54;
w_A     = 0.5*Omega*Jp_Ja;
w_W     = sqrt(w_A.^2+w_B.^2);
w_2     = 0.29;
w_3     = w_A - w_W;
w_4     = w_A + w_W;
for i = 1:length(Omega)
    func = (w_2^2 - w^2)*(-w_3(i)+w)*(w_4(i)-w)-1;
    w_k(:,i,1) = sort(real(vpa(solve(func,w),2)));
end
%% Abbildung 14.16 c,d - GL (14.74)
Jp_Ja = 2/3;
w_B     = 3.80;
w_A     = 0.5*Omega*Jp_Ja;
w_W     = sqrt(w_A.^2+w_B.^2);
w_2     = 0.27;
w_3     = w_A - w_W;
w_4     = w_A + w_W;
for i = 1:length(Omega)
    func = (w_2^2 - w^2)*(-w_3(i)+w)*(w_4(i)-w)-1;
    w_k(:,i,2) = sort(real(vpa(solve(func,w),2)));
end
%% Plot erstellen
subplot(2,2,1)
plot(Omega, w_k(1,:,1)','k-',Omega, w_k(4,:,1)','k--')
legend('k=1','k=4','Location','SouthEast')
grid on
ylim([-30, 30])
xlabel('$\mathit{\tilde{\Omega}}$','Interpreter','latex')
ylabel('$\tilde{\omega}_k$','Interpreter','latex')
%
subplot(2,2,3)
plot(Omega, w_k(2,:,1)','k-',Omega, w_k(3,:,1)','k--') 
legend('k=2','k=3','Location','SouthEast')
grid on
ylim([-.2, .2])
xlabel('$\mathit{\tilde{\Omega}}$','Interpreter','latex')
ylabel('$\tilde{\omega}_k$','Interpreter','latex')
%
subplot(2,2,2)
plot(Omega, w_k(1,:,2)','k-',Omega, w_k(4,:,2)','k--')
legend('k=1','k=4','Location','SouthEast')
grid on
ylim([-30, 30])
xlabel('$\mathit{\tilde{\Omega}}$','Interpreter','latex')
ylabel('$\tilde{\omega}_k$','Interpreter','latex')
%
subplot(2,2,4)
plot(Omega, w_k(2,:,2)','k-',Omega, w_k(3,:,2)','k--') 
legend('k=2','k=3','Location','SouthEast')
grid on
ylim([-.2, .2])
xlabel('$\mathit{\tilde{\Omega}}$','Interpreter','latex')
ylabel('$\tilde{\omega}_k$','Interpreter','latex')
%% Plot anpassen
set(findobj(gcf,'type','axes'),'FontSize',9,'FontName','Times',...
    'Gridalpha',.7,'Gridcolor',[0 0 0])
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 12 10])
print(gcf,'Aufg14_14_1','-dpng','-r300')  