%% Aufgabe 16.9
clear all; close all; clc;
%% Parameter (bezogene Gren)
M = 1/30*[40 5  10 ;    % Massenmatrix 
          5  70 10 ;
          10 10 16];
K = 1/3*[ 3 -3  0  ;    % Steifigkeitsmatrix
         -3  3  0  ; 
          0  0  16];
f1 = [1; 0; 0];         % Erregerkrfte
f2 = [-1i*.5; 0; 0];
Omega = 0.01:.01:4;     % Erregerfrequenz
%% Berechnung der Auslenkungen
for i1 = 1:length(Omega)
    x_1(:,i1) = abs(inv(K-M*Omega(i1)^2)*f1);
    x_2(:,i1) = abs(inv(K-M*(3*Omega(i1))^2)*f2);
end
%% Plot erstellen
k1 = 1; % phi_1, phi_2 und phi_3 (whlbar k = 1,2,3)
plot3(Omega,Omega,x_1(k1,:),'k')
hold all
plot3(Omega,3*Omega,x_2(k1,:),'k')
xlabel('$\tilde{\Omega}$','interpreter','latex')
ylabel('$\tilde{\Omega}_{eff}$','interpreter','latex')
zlabel('$|\hat{\tilde{\varphi}}|$','interpreter','latex')
%% Plot anpassen
grid on
zlim([0 10])
xlim([0 4])
ylim([0 4])
view(37,53);   
set(gca,'FontSize',9,'FontName','Times')
xticks([1.13768/3 1.13768 3.59699/3 3.59699])
set(gca,'TickLabelInterpreter','latex')
xticklabels({'$\frac{\tilde{\omega}_2}{3}$','',...
             '$\tilde{\omega}_2 ; \frac{\tilde{\omega}_3}{3}$',...
             '$\tilde{\omega}_3$'})
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 7])
%print(gcf,'Aufg16_09_1','-dpng','-r300')  