%% Aufgabe 17.12
clear all; close all; clc;
%% Parameter (bezogene Gren)
l1 = 0.5;                               % Lnge Kranbrcke Gl. (17.50)
l2 = 1 - l1;        
alpha = [0.84 2 2.697 4 4.635 6]*pi;    % Tabelle (17.2)
%alpha = [0.878 1.795 2.971 3.848 4.654 5.887]*pi;
x1 = 0:1/100:l1;                        % Koordinaten Kranbrcke
x2 = 0:1/100:l2;
%% Berechnung Eigenschwingungsformen
for i1 = 1:3
    alpha_n = alpha(i1);
    w_1n(i1,:) = sinh(alpha_n)*sin(l2*alpha_n)*sin(x1*alpha_n)...
                 -sin(alpha_n)*sinh(l2*alpha_n)*sinh(x1*alpha_n);
    w_2n(i1,:) = sinh(alpha_n)*sin(l1*alpha_n)*sin((l2-x2)*alpha_n)...
                 -sin(alpha_n)*sinh(l1*alpha_n)*sinh((l2-x2)*alpha_n);
    norm = max(abs([w_1n(i1,:) w_2n(i1,:)]));
    w_1n(i1,:) = w_1n(i1,:)/norm;
    w_2n(i1,:) = w_2n(i1,:)/norm;
end
%% Plot erstellen
p1 = plot([x1 l1+x2], [w_1n w_2n], 'k');
xlabel('$x$','Interpreter','latex')
ylabel('$\hat{w}_n$','Interpreter','latex')
l1 = legend('$n=1$','$n=2$','$n=3$');
%% Plot anpassen
set(gca,'FontSize',9,'FontName','Times','XGrid','on','YGrid','on')
set(p1(1),'LineWidth',1.5)
set(p1(2),'LineStyle','-')
set(p1(3),'LineStyle','--')
set(l1,'Interpreter','latex','Location','NorthEastOutside')
%% Plot exportieren
set(gcf,'units','centimeters','pos',[20 10 10 4])
print(gcf,'Aufg17_12_1','-dpng','-r300')  