%% Aufgabe 17.18
clear all; close all; clc;
%% Parameter
x = 0:0.01:1;                               % Balkenpunkt fr Auswertung
t = 0:0.01:100;                             % Zeit
G = 1;                                      % Statische Last
EI = 1;                                     % Biegesteifigkeit
l = 1;                                      % Gesamtlnge
l1 = .7;                                    % Lastangriffspunkt 0.5/0.7
Q1 = [1 0.498 -0.090; ...                   % Modalmatrix l1 = 0.7
      -0.031 1 0.132; ...
      0.002 -0.026 1];
Q2 = [1 0 0.505; 0 1 0; -0.006 0 1];        % Modalmatrix l1 = 0.5
Q = Q1;
q_st = 2*l^3*G/(EI*pi^4)*[sin(pi*l1) ...    % Statische Auslenkung
                          sin(2*pi*l1)/16 ...
                          sin(3*pi*l1)/81]';
%om_n = sqrt([0.49844 16 54.1682]);         % Eigenfrequenzen zu l1=0.5
om_n = sqrt([0.59569 10.4636 78.3281]);     % Eigenfrequenzen zu l1=0.7
W = [sin(pi*x/l); ...
     sin(2*pi*x/l); ... 
     sin(3*pi*x/l)];                        % Formfunktionen
%% Berechnung
a_c = Q^-1*q_st;
for i1 = 1:length(t)
    q(:,i1) = Q*diag([cos(om_n(1)*t(i1)) ... 
                 cos(om_n(2)*t(i1)) ...
                 cos(om_n(3)*t(i1))])*a_c;
end
for i1 = 1:length(t)
    w(i1,:) = q(:,i1)'*W;
end
%% Plot erstellen (Animation - Abbruch Ctrl + c)
for i1 = 1:length(t)
    plot(x,w(i1,:))
    axis([0 1 -.021 .021])
    xlabel('$\tilde{x}$','interpreter','latex')
    ylabel('$w(x)$','interpreter','latex')
    if i1 == 1
        pause(5)
    else
        pause(0.001)
    end
end