function [R,V,h,H,alpE,Thet] = MatzuA8(phi1,phi2,phi3)
 
% Berechnet Lsungen zu Aufgabe 8
% EB 7.1.2018
% z.B. [R,V,h,H,alpE,Thet] = MatzuA8(20,30,40)
% ===============================

phi1 = phi1*pi/180;
phi2 = phi2*pi/180;
phi3 = phi3*pi/180;

s1 = sin(phi1);
c1 = cos(phi1);
s2 = sin(phi2);
c2 = cos(phi2);
s3 = sin(phi3);
c3 = cos(phi3);

R = [ c2*c3 (c1*s3+c3*s1*s2) (s1*s3-c1*c3*s2)
     -c2*s3 (c1*c3-s1*s2*s3) (c1*s2*s3+c3*s1)
      s2     -c2*s1            c1*c2         ];
 
[V,D] = eig(R);

% Kontrolle auf Betrag:
h = zeros(3,3);
h(:,1)= V(:,3); 
hi = h(:,1)'*h(:,1); % = 1 ist erfllt, keine Ausgabe

% Ansatz fr Bein e_2^E senkrecht aud Eulerbein:
h(1,2)=  h(3,1);
h(3,2)= -h(1,1);

% Auf Betrag 1 normieren:
h(:,2)= h(:,2)/sqrt((h(:,2)'*h(:,2)));
% Kontrolle auf senkrecht:
hi = h(:,2)'*h(:,1); % = 0 ist erfllt, keine Ausgabe 
% det(R) = 1 ist erfllt.

% Drehung fr die zwei Beine
H = R*h;
hii = H(:,1)'*H(:,2);     % = eps, gedrehte Beine sind orthogonal
hiii= H(:,2)'*H(:,2);     % = 1, Betrag bleibt erhalten

hiv = h(:,2)'*H(:,2);     % cos(Thet) - Winkel der Drehung

Thet = (180/pi)*acos(hiv); % +/- : Skizze zeigt MINUS (also Linksschraube)

alpE = zeros(3,3);
alpE(1,1) = 180/pi*acos(h(1,1));
alpE(1,2) = 180/pi*acos(h(2,1));
alpE(1,3) = 180/pi*acos(h(3,1));