function [R,RK,RR,thet,psi,phiKc,phiKs] = MatzuA13(phi1,phi2,phi3)
% Berechnet Lsungen zu Aufgabe 13
% EB 7.1.2018
% z.B.: [R,RK,RR,thet,psi,phiKc,phiKs] = MatzuA13(20,30,60)
% ================================
% 1. Matrix R aus Aufgabe 8 berechnen 
% -----------------------------------
phi1 = phi1*pi/180;
phi2 = phi2*pi/180;
phi3 = phi3*pi/180;

s1 = sin(phi1);
c1 = cos(phi1);
s2 = sin(phi2);
c2 = cos(phi2);
s3 = sin(phi3);
c3 = cos(phi3);

R = [ c2*c3 (c1*s3+c3*s1*s2) (s1*s3-c1*c3*s2)
     -c2*s3 (c1*c3-s1*s2*s3) (c1*s2*s3+c3*s1)
      s2     -c2*s1            c1*c2         ];

% 2. Fr Kippung Winkel thet und psi berechnen:
% (aus Abb. 7 oder Abb. 8 oder dritter Zeile von (A.41)_1 ablesen)

thet = acos(R(3,3));
psi1 = acos(-R(3,2)/sin(thet));
psi2 = asin(R(3,1)/sin(thet));

% 3. Kippmatrix RK nach (A.32) berechnen:
psi =(psi1+psi2)/2; % evtl. Rundungsfehler)
% R3 = R3(psi), R1 = R1(thet):
cpsi = cos(psi);
spsi = sin(psi);
cthet = cos(thet);
sthet = sin(thet);

R1 = [1 0 0
      0  cthet sthet
      0 -sthet cthet];
R3 = [ cpsi spsi 0
      -spsi cpsi 0
       0    0    1];

RK = R3'*R1*R3;

% 4. Drehmatrix RR fr RG = R aus (A.36) bestimmen: 

RR = R*RK';

phiKc = 180/pi*acos(RR(1,1)); % aus cos(phiK)
phiKs = 180/pi*acos(RR(1,1)); % aus sin(phiK)
thet  = 180/pi*thet;
psi   = 180/pi*psi;